%define upstream_name    Docker-CLI-Wrapper
%define upstream_version 0.0.4

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Wrap the Docker's CLI
License:    MIT
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Docker/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Module::Build)
BuildRequires: perl(Moo)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More)
BuildRequires: perl(autodie)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl(Module::Build)
BuildArch: noarch

%description
Perl modules and OOP classes that wrap the docker (or podman) Command Line
Interface (CLI).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.0.4-3.mga10
+ Revision: 2209304
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.0.4-2.mga9
+ Revision: 1819766
- Mageia 9 Mass Rebuild

* Mon Apr 06 2020 shlomif <shlomif> 0.0.4-1.mga8
+ Revision: 1565316
- fix rpmlint, desc, and summary
- cpan2dist


* Mon Apr 06 2020 cpan2dist 0.0.4-1mga
- initial mageia release, generated with cpan2dist
